COLORS = {
    "reset": "\033[0m",
    "bold": "\033[1m",
    "italic": "\033[3m",
    "bitalic": "\033[1m\033[3m",
    "underline": "\033[4m",
    "strikethrough": "\033[9m",

    "black": "\033[30m",
    "red": "\033[31m",
    "green": "\033[32m",
    "yellow": "\033[33m",
    "blue": "\033[34m",
    "purple": "\033[35m",
    "cyan": "\033[36m",
    "white": "\033[37m",

    "bold-black": "\033[1;30m",
    "bold-red": "\033[1;31m",
    "bold-green": "\033[1;32m",
    "bold-yellow": "\033[1;33m",
    "bold-blue": "\033[1;34m",
    "bold-purple": "\033[1;35m",
    "bold-cyan": "\033[1;36m",
    "bold-white": "\033[1;37m",

    "underline-black": "\033[4;30m",
    "underline-red": "\033[4;31m",
    "underline-green": "\033[4;32m",
    "underline-yellow": "\033[4;33m",
    "underline-blue": "\033[4;34m",
    "underline-purple": "\033[4;35m",
    "underline-cyan": "\033[4;36m",
    "underline-white": "\033[4;37m",

    "bg-black": "\033[40m",
    "bg-red": "\033[41m",
    "bg-green": "\033[42m",
    "bg-yellow": "\033[43m",
    "bg-blue": "\033[44m",
    "bg-purple": "\033[45m",
    "bg-cyan": "\033[46m",
    "bg-white": "\033[47m",

    "high-black": "\033[90m",
    "high-red": "\033[91m",
    "high-green": "\033[92m",
    "high-yellow": "\033[93m",
    "high-blue": "\033[94m",
    "high-purple": "\033[95m",
    "high-cyan": "\033[96m",
    "high-white": "\033[97m",

    "bold-high-black": "\033[1;90m",
    "bold-high-red": "\033[1;91m",
    "bold-high-green": "\033[1;92m",
    "bold-high-yellow": "\033[1;93m",
    "bold-high-blue": "\033[1;94m",
    "bold-high-purple": "\033[1;95m",
    "bold-high-cyan": "\033[1;96m",
    "bold-high-white": "\033[1;97m",

    "bg-high-black": "\033[0;100m",
    "bg-high-red": "\033[0;101m",
    "bg-high-green": "\033[0;102m",
    "bg-high-yellow": "\033[0;103m",
    "bg-high-blue": "\033[0;104m",
    "bg-high-purple": "\033[0;105m",
    "bg-high-cyan": "\033[0;106m",
    "bg-high-white": "\033[0;107m",

}

THEMES = {
    "lisq": {
        "intro": COLORS["reset"],
        "nav": COLORS["reset"],
        "nav-a": COLORS["cyan"],
        "header": COLORS["cyan"],
        "text": COLORS["reset"],
        "important": COLORS["cyan"],
        "password": COLORS["white"],
        "error": COLORS["high-red"],
        "notes-text": COLORS["reset"],
        "notes-top": COLORS["cyan"],
        "notes-side": COLORS["cyan"],
        "cfg-main-topbar": COLORS["bold-white"],
        "cfg-topbar": COLORS["bold-white"],
    },
    "custom": {
        "intro": COLORS["white"],
        "nav": COLORS["white"],
        "nav-a": COLORS["yellow"],
        "header": COLORS["yellow"],
        "text": COLORS["white"],
        "important": COLORS["yellow"],
        "password": COLORS["white"],
        "error": COLORS["red"],
        "notes-text": COLORS["white"],
        "notes-top": COLORS["yellow"],
        "notes-side": COLORS["yellow"],
        "cfg-main-topbar": COLORS["bold-white"],
        "cfg-topbar": COLORS["bold-white"],
    },
    "matrix": {
        "intro": COLORS["green"],
        "nav": COLORS["green"],
        "nav-a": COLORS["green"],
        "header": COLORS["bold-high-green"],
        "text": COLORS["green"],
        "important": COLORS["bold-high-green"],
        "password": COLORS["white"],
        "error": COLORS["red"],
        "notes-text": COLORS["high-green"],
        "notes-top": COLORS["green"],
        "notes-side": COLORS["green"],
        "cfg-main-topbar": COLORS["bold-green"],
        "cfg-topbar": COLORS["bold-green"],
    },
    "modern": {
        "intro": COLORS["white"],
        "nav": COLORS["white"],
        "nav-a": COLORS["cyan"],
        "header": COLORS["bg-purple"],
        "text": COLORS["white"],
        "important": COLORS["bold-white"],
        "password": COLORS["blue"],
        "error": COLORS["bg-red"],
        "notes-text": COLORS["high-green"],
        "notes-top": COLORS["high-yellow"],
        "notes-side": COLORS["high-yellow"],
        "cfg-main-topbar": COLORS["bg-purple"],
        "cfg-topbar": COLORS["bg-high-black"],
    }

}

# single themes
THEMES["cli-text"] = {key: COLORS["reset"] for key in THEMES["lisq"].keys()}
THEMES["yellow"] = {key: COLORS["yellow"] for key in THEMES["lisq"].keys()}


